# signaldctl
*a command line tool for [signald](https://gitlab.com/signald/signald)*

signaldctl is new and not well supported at this time. If you experience bugs, please report them.



## Account Creation: Linking

To link signald to an existing Signal account (by scanning a QR code):

```
signaldctl account create --link
```

## Account Creation: Registration

To register a new account:

```
signaldctl account create --request-code --phone-number +15555555555
```

you will receive an SMS verification code. Submit the code to create the account:

```
signaldctl account create --verify --phone-number +15555555555 --code 999-999
```

## Sending messages

```
signaldctl message send --account +15555555555 --to +12024561414 --message "yo"
```

`--to` can also be a group ID